<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11) on Fri Jul 03 01:46:42 IDT 2020 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-07-03">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/controllers/MyErrorController.html#getErrorPath()">getErrorPath()</a></span> - Method in class com.hadassah.demo.controllers.<a href="../com/hadassah/demo/controllers/MyErrorController.html" title="class in com.hadassah.demo.controllers">MyErrorController</a></dt>
<dd>
<div class="block">returns the path to errors</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/repos/GitHubUser.html#getFollowers()">getFollowers()</a></span> - Method in class com.hadassah.demo.repos.<a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a></dt>
<dd>
<div class="block">Gets followers.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/repos/GitHubUser.html#getHtml_url()">getHtml_url()</a></span> - Method in class com.hadassah.demo.repos.<a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a></dt>
<dd>
<div class="block">Gets link.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/repos/GitHubUser.html#getLogin()">getLogin()</a></span> - Method in class com.hadassah.demo.repos.<a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a></dt>
<dd>
<div class="block">Gets username.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/controllers/LogInController.html#getLogin(org.springframework.ui.Model)">getLogin(Model)</a></span> - Method in class com.hadassah.demo.controllers.<a href="../com/hadassah/demo/controllers/LogInController.html" title="class in com.hadassah.demo.controllers">LogInController</a></dt>
<dd>
<div class="block">get mapping for login which will return login view if not logged in, otherwise redirect to home page</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/ResponseObject.html#getMessage()">getMessage()</a></span> - Method in class com.hadassah.demo.<a href="../com/hadassah/demo/ResponseObject.html" title="class in com.hadassah.demo">ResponseObject</a></dt>
<dd>
<div class="block">Gets message.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/beans/LoginForm.html#getPassword()">getPassword()</a></span> - Method in class com.hadassah.demo.beans.<a href="../com/hadassah/demo/beans/LoginForm.html" title="class in com.hadassah.demo.beans">LoginForm</a></dt>
<dd>
<div class="block">Gets password for login.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/repos/GitHubUser.html#getSearched()">getSearched()</a></span> - Method in class com.hadassah.demo.repos.<a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a></dt>
<dd>
<div class="block">Gets searched.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/ResponseObject.html#getStatus()">getStatus()</a></span> - Method in class com.hadassah.demo.<a href="../com/hadassah/demo/ResponseObject.html" title="class in com.hadassah.demo">ResponseObject</a></dt>
<dd>
<div class="block">Gets status.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/beans/LoginForm.html#getUsername()">getUsername()</a></span> - Method in class com.hadassah.demo.beans.<a href="../com/hadassah/demo/beans/LoginForm.html" title="class in com.hadassah.demo.beans">LoginForm</a></dt>
<dd>
<div class="block">Gets username to login, auto validated.</div>
</dd>
<dt><a href="../com/hadassah/demo/controllers/GitHubSearchController.html" title="class in com.hadassah.demo.controllers"><span class="typeNameLink">GitHubSearchController</span></a> - Class in <a href="../com/hadassah/demo/controllers/package-summary.html">com.hadassah.demo.controllers</a></dt>
<dd>
<div class="block">Controller that handles search operations</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/controllers/GitHubSearchController.html#%3Cinit%3E()">GitHubSearchController()</a></span> - Constructor for class com.hadassah.demo.controllers.<a href="../com/hadassah/demo/controllers/GitHubSearchController.html" title="class in com.hadassah.demo.controllers">GitHubSearchController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos"><span class="typeNameLink">GitHubUser</span></a> - Class in <a href="../com/hadassah/demo/repos/package-summary.html">com.hadassah.demo.repos</a></dt>
<dd>
<div class="block">The Github user entity that goes into the db.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/repos/GitHubUser.html#%3Cinit%3E()">GitHubUser()</a></span> - Constructor for class com.hadassah.demo.repos.<a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a></dt>
<dd>
<div class="block">an empty constructor so it can get created for the form</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/repos/GitHubUser.html#%3Cinit%3E(java.lang.String)">GitHubUser(String)</a></span> - Constructor for class com.hadassah.demo.repos.<a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos">GitHubUser</a></dt>
<dd>
<div class="block">a constructor to create this with username from the form submit</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/controllers/GitHubSearchController.html#gitHubUserRepo">gitHubUserRepo</a></span> - Variable in class com.hadassah.demo.controllers.<a href="../com/hadassah/demo/controllers/GitHubSearchController.html" title="class in com.hadassah.demo.controllers">GitHubSearchController</a></dt>
<dd>
<div class="block">the object that manages the DB of <a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos"><code>GitHubUser</code></a> objects</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/controllers/HistoryController.html#gitHubUserRepo">gitHubUserRepo</a></span> - Variable in class com.hadassah.demo.controllers.<a href="../com/hadassah/demo/controllers/HistoryController.html" title="class in com.hadassah.demo.controllers">HistoryController</a></dt>
<dd>
<div class="block">the object that manages the DB of <a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos"><code>GitHubUser</code></a> objects</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/DemoApplication.html#gitHubUserRepo">gitHubUserRepo</a></span> - Variable in class com.hadassah.demo.<a href="../com/hadassah/demo/DemoApplication.html" title="class in com.hadassah.demo">DemoApplication</a></dt>
<dd>
<div class="block">the repo for the table of github user in db ex3.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/RestApi/DeleteHistory.html#gitHubUserRepo">gitHubUserRepo</a></span> - Variable in class com.hadassah.demo.RestApi.<a href="../com/hadassah/demo/RestApi/DeleteHistory.html" title="class in com.hadassah.demo.RestApi">DeleteHistory</a></dt>
<dd>
<div class="block">the <a href="../com/hadassah/demo/repos/GitHubUserRepo.html" title="interface in com.hadassah.demo.repos"><code>GitHubUserRepo</code></a> bean to access the mysql DB.</div>
</dd>
<dt><a href="../com/hadassah/demo/repos/GitHubUserRepo.html" title="interface in com.hadassah.demo.repos"><span class="typeNameLink">GitHubUserRepo</span></a> - Interface in <a href="../com/hadassah/demo/repos/package-summary.html">com.hadassah.demo.repos</a></dt>
<dd>
<div class="block">will give us access to the ex3 DB and allow us to handle <a href="../com/hadassah/demo/repos/GitHubUser.html" title="class in com.hadassah.demo.repos"><code>GitHubUser</code></a> objects within it.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/hadassah/demo/validators/ValidLogin.html#groups()">groups()</a></span> - Method in annotation type com.hadassah.demo.validators.<a href="../com/hadassah/demo/validators/ValidLogin.html" title="annotation in com.hadassah.demo.validators">ValidLogin</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
